aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/.travis/test.sh
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2020-03-05 16:22:51 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2020-03-06 00:10:11 +0300
commiteb4ba34ed3009ee5cec34ed83bab8149e4d6ffc4 (patch)
treeb8629a38f6378cc25cc309a0a9b39f0f8720c10a /.travis/test.sh
parentStatusTracker: handle SIGTERM also (diff)
downloadvk-scripts-eb4ba34ed3009ee5cec34ed83bab8149e4d6ffc4.tar.gz
vk-scripts-eb4ba34ed3009ee5cec34ed83bab8149e4d6ffc4.zip
Travis: prettier output
Diffstat (limited to '.travis/test.sh')
-rwxr-xr-x.travis/test.sh22
1 files changed, 16 insertions, 6 deletions
diff --git a/.travis/test.sh b/.travis/test.sh
index d48d3f5..83c4efa 100755
--- a/.travis/test.sh
+++ b/.travis/test.sh
@@ -1,13 +1,23 @@
#!/usr/bin/env bash
-# Copyright (c) 2019 Egor Tensin <Egor.Tensin@gmail.com>
+# Copyright (c) 2020 Egor Tensin <Egor.Tensin@gmail.com>
# This file is part of the "VK scripts" project.
# For details, see https://github.com/egor-tensin/vk-scripts.
# Distributed under the MIT License.
-set -o xtrace
+set -o errexit -o nounset -o pipefail
-./.travis/test/mutual_friends.sh
-./.travis/test/show_status.sh
-./.travis/test/track_status.sh
-./.travis/test/online_sessions.sh
+run_test() {
+ local arg
+ echo
+ echo ======================================================================
+ for arg; do
+ echo -n "$arg "
+ done
+ echo
+ echo ======================================================================
+
+ python3 -m "$@"
+}
+
+run_test "$@"